---
lang: en
title: 'API docs: rest.invokemethodprovider'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.invokemethodprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [InvokeMethodProvider](./rest.invokemethodprovider.md)

## InvokeMethodProvider class

<b>Signature:</b>

```typescript
export declare class InvokeMethodProvider implements Provider<InvokeMethod> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context)](./rest.invokemethodprovider._constructor_.md) |  | Constructs a new instance of the <code>InvokeMethodProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [context](./rest.invokemethodprovider.context.md) |  | <code>Context</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(route, args)](./rest.invokemethodprovider.action.md) |  |  |
|  [value()](./rest.invokemethodprovider.value.md) |  |  |


